<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_60) on Tue Apr 26 16:24:20 CEST 2016 -->
<title>Uses of Class aasbo.socket.WebSocketClient</title>
<meta name="date" content="2016-04-26">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class aasbo.socket.WebSocketClient";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?aasbo/socket/class-use/WebSocketClient.html" target="_top">Frames</a></li>
<li><a href="WebSocketClient.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class aasbo.socket.WebSocketClient" class="title">Uses of Class<br>aasbo.socket.WebSocketClient</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#aasbo">aasbo</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#aasbo.listeners">aasbo.listeners</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#aasbo.socket">aasbo.socket</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="aasbo">
<!--   -->
</a>
<h3>Uses of <a href="../../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a> in <a href="../../../aasbo/package-summary.html">aasbo</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../aasbo/package-summary.html">aasbo</a> with parameters of type <a href="../../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Main.</span><code><span class="memberNameLink"><a href="../../../aasbo/Main.html#onConnection-aasbo.socket.WebSocketClient-">onConnection</a></span>(<a href="../../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a>&nbsp;client)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="aasbo.listeners">
<!--   -->
</a>
<h3>Uses of <a href="../../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a> in <a href="../../../aasbo/listeners/package-summary.html">aasbo.listeners</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../aasbo/listeners/package-summary.html">aasbo.listeners</a> with parameters of type <a href="../../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">WebSocketClientListener.</span><code><span class="memberNameLink"><a href="../../../aasbo/listeners/WebSocketClientListener.html#onConnection-aasbo.socket.WebSocketClient-">onConnection</a></span>(<a href="../../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a>&nbsp;client)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ClientListener.</span><code><span class="memberNameLink"><a href="../../../aasbo/listeners/ClientListener.html#onDisconnect-aasbo.socket.WebSocketClient-">onDisconnect</a></span>(<a href="../../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a>&nbsp;socket)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="aasbo.socket">
<!--   -->
</a>
<h3>Uses of <a href="../../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a> in <a href="../../../aasbo/socket/package-summary.html">aasbo.socket</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../aasbo/socket/package-summary.html">aasbo.socket</a> with type parameters of type <a href="../../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">WebSocket.</span><code><span class="memberNameLink"><a href="../../../aasbo/socket/WebSocket.html#klienter">klienter</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../aasbo/socket/package-summary.html">aasbo.socket</a> that return <a href="../../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a></code></td>
<td class="colLast"><span class="typeNameLabel">WebSocketClient.</span><code><span class="memberNameLink"><a href="../../../aasbo/socket/WebSocketClient.html#setListener-aasbo.listeners.ClientListener-">setListener</a></span>(<a href="../../../aasbo/listeners/ClientListener.html" title="interface in aasbo.listeners">ClientListener</a>&nbsp;l)</code>
<div class="block">Brukes av WebSocket til å lytte på handlinger som skjer hos hver klient</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../aasbo/socket/package-summary.html">aasbo.socket</a> with parameters of type <a href="../../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">WebSocket.</span><code><span class="memberNameLink"><a href="../../../aasbo/socket/WebSocket.html#notifyListener-aasbo.socket.WebSocketClient-">notifyListener</a></span>(<a href="../../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a>&nbsp;client)</code>
<div class="block">Sier ifra til alle listeners av WebSocket klassen at en ny klient har
 koblet til</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">WebSocket.</span><code><span class="memberNameLink"><a href="../../../aasbo/socket/WebSocket.html#onDisconnect-aasbo.socket.WebSocketClient-">onDisconnect</a></span>(<a href="../../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a>&nbsp;socket)</code>
<div class="block">Kalles når en klient frakobles</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?aasbo/socket/class-use/WebSocketClient.html" target="_top">Frames</a></li>
<li><a href="WebSocketClient.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
